Zum Inhalt springen

MoonDreamNext Batch

Integrieren

Modell-ID moondream-next/batch
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream-next/batch?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: ≈0,002 $ 2 API-Credits Auf dieser Seite ausführen

API-Schlüssel abrufen
Moondream Vision #multimodal

Wendet gleichzeitig einen Prompt auf viele Bilder an und gibt Beschreibungen als Liste und JSON-Datei zurück

Moondream · Daten (JSON)

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich

Auf jedes Bild angewendeter gemeinsamer Prompt.

•erforderlich

Zur Verarbeitung übermittelte Bild-URLs, begrenzt auf 32 Bilder.

Erweitert max_tokens
Standard 64

Obergrenze für generierte Token.

POST /run/moondream-next/batch?wait=20 Preis → 0,002 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream-next/batch?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über MoonDreamNext Batch

Führt einen einzelnen `prompt` über eine Liste von Bild-URLs in `images_data_url` aus, mit bis zu 32 Bildern pro Anfrage. `max_tokens` reicht von 1 bis 512, Standard 64. Das Ergebnis ist ein Array mit Bildbeschreibungen und ein Link zu einer JSON-Datei, die Dateinamen und Beschreibungen einander zuordnet.

Parameter

NameTyp StandardZulässig Beschreibung
images_data_urlerforderlich
Typstring
Zur Verarbeitung übermittelte Bild-URLs, begrenzt auf 32 Bilder.
prompterforderlich
Typstring
Auf jedes Bild angewendeter gemeinsamer Prompt.
max_tokensoptional
Typinteger
Standard64
1 – 512
Obergrenze für generierte Token.
erforderlich

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "moondream-next/batch",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2,
    "usd": "0.002",
    "charged": 2,
    "refunded": 0
  },
  "input": {
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "captions_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "outputs": [
      "string"
    ]
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
captions_file
object {url, content_type, file_name, file_size}URL der generierten JSON-Beschriftungsdatei, die Dateinamen und Beschriftungen paart.
outputs
array of stringErzeugte Beschriftungen, als Liste zurückgegeben.

Weitere Modelle: Vision

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/moondream-next/batch.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt